<?php
/**
 * OrderCommitRequest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * OMS
 *
 * Управление заказами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\OmsClient\Dto;

use \ArrayAccess;
use \Ensi\OmsClient\ObjectSerializer;

/**
 * OrderCommitRequest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class OrderCommitRequest implements ModelInterface, ArrayAccess
{
    const DISCRIMINATOR = null;

    /**
      * The original name of the model.
      *
      * @var string
      */
    protected static $openAPIModelName = 'OrderCommitRequest';

    /**
      * Array of property to type mappings. Used for (de)serialization
      *
      * @var string[]
      */
    protected static $openAPITypes = [
        'customer_id' => 'int',
        'customer_email' => 'string',
        'client_comment' => 'string',
        'payment_system_id' => 'int',
        'source' => 'int',
        'spent_bonus' => 'int',
        'added_bonus' => 'int',
        'delivery_service' => 'int',
        'delivery_method' => 'int',
        'delivery_tariff_id' => 'int',
        'delivery_point_id' => 'int',
        'delivery_address' => '\Ensi\OmsClient\Dto\Address',
        'delivery_comment' => 'string',
        'delivery_price' => 'int',
        'delivery_cost' => 'int',
        'receiver_name' => 'string',
        'receiver_phone' => 'string',
        'receiver_email' => 'string',
        'deliveries' => '\Ensi\OmsClient\Dto\OrderCommitRequestDeliveries[]'
    ];

    /**
      * Array of property to format mappings. Used for (de)serialization
      *
      * @var string[]
      */
    protected static $openAPIFormats = [
        'customer_id' => null,
        'customer_email' => null,
        'client_comment' => null,
        'payment_system_id' => null,
        'source' => null,
        'spent_bonus' => null,
        'added_bonus' => null,
        'delivery_service' => null,
        'delivery_method' => null,
        'delivery_tariff_id' => null,
        'delivery_point_id' => null,
        'delivery_address' => null,
        'delivery_comment' => null,
        'delivery_price' => null,
        'delivery_cost' => null,
        'receiver_name' => null,
        'receiver_phone' => null,
        'receiver_email' => null,
        'deliveries' => null
    ];

    /**
      * Array of nullable properties. Used for (de)serialization
      *
      * @var boolean[]
      */
    protected static $openAPINullables = [
        'customer_id' => false,
        'customer_email' => false,
        'client_comment' => true,
        'payment_system_id' => false,
        'source' => false,
        'spent_bonus' => true,
        'added_bonus' => true,
        'delivery_service' => false,
        'delivery_method' => false,
        'delivery_tariff_id' => false,
        'delivery_point_id' => true,
        'delivery_address' => true,
        'delivery_comment' => true,
        'delivery_price' => false,
        'delivery_cost' => false,
        'receiver_name' => false,
        'receiver_phone' => false,
        'receiver_email' => false,
        'deliveries' => false
    ];

    /**
      * If a nullable field gets set to null, insert it here
      *
      * @var boolean[]
      */
    protected $openAPINullablesSetToNull = [];

    /**
     * Array of property to type mappings. Used for (de)serialization
     *
     * @return array
     */
    public static function openAPITypes()
    {
        return self::$openAPITypes;
    }

    /**
     * Array of property to format mappings. Used for (de)serialization
     *
     * @return array
     */
    public static function openAPIFormats()
    {
        return self::$openAPIFormats;
    }

        /**
     * Array of property to nullable mappings. Used for (de)serialization
     *
     * @return array
     */
    public static function openAPINullables()
    {
        return self::$openAPINullables;
    }

    /**
     * Array of nullable field names deliberately set to null
     *
     * @return array
     */
    public function getOpenAPINullablesSetToNull()
    {
        return $this->openAPINullablesSetToNull;
    }

    public function setOpenAPINullablesSetToNull($nullablesSetToNull)
    {
        $this->openAPINullablesSetToNull=$nullablesSetToNull;
        return $this;
    }

    /**
     * Checks if a property is nullable
     *
     * @return bool
     */
    public static function isNullable(string $property): bool
    {
        if (isset(self::$openAPINullables[$property])) {
            return self::$openAPINullables[$property];
        }

        return false;
    }

    /**
     * Checks if a nullable property is set to null.
     *
     * @return bool
     */
    public function isNullableSetToNull(string $property): bool
    {
        if (in_array($property, $this->getOpenAPINullablesSetToNull())) {
            return true;
        }
        return false;
    }

    /**
     * Array of attributes where the key is the local name,
     * and the value is the original name
     *
     * @var string[]
     */
    protected static $attributeMap = [
        'customer_id' => 'customer_id',
        'customer_email' => 'customer_email',
        'client_comment' => 'client_comment',
        'payment_system_id' => 'payment_system_id',
        'source' => 'source',
        'spent_bonus' => 'spent_bonus',
        'added_bonus' => 'added_bonus',
        'delivery_service' => 'delivery_service',
        'delivery_method' => 'delivery_method',
        'delivery_tariff_id' => 'delivery_tariff_id',
        'delivery_point_id' => 'delivery_point_id',
        'delivery_address' => 'delivery_address',
        'delivery_comment' => 'delivery_comment',
        'delivery_price' => 'delivery_price',
        'delivery_cost' => 'delivery_cost',
        'receiver_name' => 'receiver_name',
        'receiver_phone' => 'receiver_phone',
        'receiver_email' => 'receiver_email',
        'deliveries' => 'deliveries'
    ];

    /**
     * Array of attributes to setter functions (for deserialization of responses)
     *
     * @var string[]
     */
    protected static $setters = [
        'customer_id' => 'setCustomerId',
        'customer_email' => 'setCustomerEmail',
        'client_comment' => 'setClientComment',
        'payment_system_id' => 'setPaymentSystemId',
        'source' => 'setSource',
        'spent_bonus' => 'setSpentBonus',
        'added_bonus' => 'setAddedBonus',
        'delivery_service' => 'setDeliveryService',
        'delivery_method' => 'setDeliveryMethod',
        'delivery_tariff_id' => 'setDeliveryTariffId',
        'delivery_point_id' => 'setDeliveryPointId',
        'delivery_address' => 'setDeliveryAddress',
        'delivery_comment' => 'setDeliveryComment',
        'delivery_price' => 'setDeliveryPrice',
        'delivery_cost' => 'setDeliveryCost',
        'receiver_name' => 'setReceiverName',
        'receiver_phone' => 'setReceiverPhone',
        'receiver_email' => 'setReceiverEmail',
        'deliveries' => 'setDeliveries'
    ];

    /**
     * Array of attributes to getter functions (for serialization of requests)
     *
     * @var string[]
     */
    protected static $getters = [
        'customer_id' => 'getCustomerId',
        'customer_email' => 'getCustomerEmail',
        'client_comment' => 'getClientComment',
        'payment_system_id' => 'getPaymentSystemId',
        'source' => 'getSource',
        'spent_bonus' => 'getSpentBonus',
        'added_bonus' => 'getAddedBonus',
        'delivery_service' => 'getDeliveryService',
        'delivery_method' => 'getDeliveryMethod',
        'delivery_tariff_id' => 'getDeliveryTariffId',
        'delivery_point_id' => 'getDeliveryPointId',
        'delivery_address' => 'getDeliveryAddress',
        'delivery_comment' => 'getDeliveryComment',
        'delivery_price' => 'getDeliveryPrice',
        'delivery_cost' => 'getDeliveryCost',
        'receiver_name' => 'getReceiverName',
        'receiver_phone' => 'getReceiverPhone',
        'receiver_email' => 'getReceiverEmail',
        'deliveries' => 'getDeliveries'
    ];

    /**
     * Array of attributes where the key is the local name,
     * and the value is the original name
     *
     * @return array
     */
    public static function attributeMap()
    {
        return self::$attributeMap;
    }

    /**
     * Array of attributes to setter functions (for deserialization of responses)
     *
     * @return array
     */
    public static function setters()
    {
        return self::$setters;
    }

    /**
     * Array of attributes to getter functions (for serialization of requests)
     *
     * @return array
     */
    public static function getters()
    {
        return self::$getters;
    }

    /**
     * The original name of the model.
     *
     * @return string
     */
    public function getModelName()
    {
        return self::$openAPIModelName;
    }

    

    

    /**
     * Associative array for storing property values
     *
     * @var mixed[]
     */
    protected $container = [];

    /**
     * Constructor
     *
     * @param mixed[] $data Associated array of property values
     *                      initializing the model
     */
    public function __construct(array $data = null)
    {
        $this->setIfExists('customer_id', $data, null);
        $this->setIfExists('customer_email', $data, null);
        $this->setIfExists('client_comment', $data, null);
        $this->setIfExists('payment_system_id', $data, null);
        $this->setIfExists('source', $data, null);
        $this->setIfExists('spent_bonus', $data, null);
        $this->setIfExists('added_bonus', $data, null);
        $this->setIfExists('delivery_service', $data, null);
        $this->setIfExists('delivery_method', $data, null);
        $this->setIfExists('delivery_tariff_id', $data, null);
        $this->setIfExists('delivery_point_id', $data, null);
        $this->setIfExists('delivery_address', $data, null);
        $this->setIfExists('delivery_comment', $data, null);
        $this->setIfExists('delivery_price', $data, null);
        $this->setIfExists('delivery_cost', $data, null);
        $this->setIfExists('receiver_name', $data, null);
        $this->setIfExists('receiver_phone', $data, null);
        $this->setIfExists('receiver_email', $data, null);
        $this->setIfExists('deliveries', $data, null);
    }

    public function setIfExists(string $variableName, $fields, $defaultValue)
    {
        if (is_array($fields) && array_key_exists($variableName, $fields) && is_null($fields[$variableName]) && self::isNullable($variableName)) {
            array_push($this->openAPINullablesSetToNull, $variableName);
        }

        $this->container[$variableName] = isset($fields[$variableName]) ? $fields[$variableName] : $defaultValue;

        return $this;
    }

    /**
     * Show all the invalid properties with reasons.
     *
     * @return array invalid properties with reasons
     */
    public function listInvalidProperties()
    {
        $invalidProperties = [];

        return $invalidProperties;
    }

    /**
     * Validate all the properties in the model
     * return true if all passed
     *
     * @return bool True if all properties are valid
     */
    public function valid()
    {
        return count($this->listInvalidProperties()) === 0;
    }


    /**
     * Gets customer_id
     *
     * @return int|null
     */
    public function getCustomerId()
    {
        return $this->container['customer_id'];
    }

    /**
     * Sets customer_id
     *
     * @param int|null $customer_id Пользователь, который оформляет заказ
     *
     * @return $this
     */
    public function setCustomerId($customer_id)
    {


        /*if (is_null($customer_id)) {
            throw new \InvalidArgumentException('non-nullable customer_id cannot be null');
        }*/
        $this->container['customer_id'] = $customer_id;

        return $this;
    }

    /**
     * Gets customer_email
     *
     * @return string|null
     */
    public function getCustomerEmail()
    {
        return $this->container['customer_email'];
    }

    /**
     * Sets customer_email
     *
     * @param string|null $customer_email Почта пользователя, который оформляет заказ
     *
     * @return $this
     */
    public function setCustomerEmail($customer_email)
    {


        /*if (is_null($customer_email)) {
            throw new \InvalidArgumentException('non-nullable customer_email cannot be null');
        }*/
        $this->container['customer_email'] = $customer_email;

        return $this;
    }

    /**
     * Gets client_comment
     *
     * @return string|null
     */
    public function getClientComment()
    {
        return $this->container['client_comment'];
    }

    /**
     * Sets client_comment
     *
     * @param string|null $client_comment Комментарий клиента к заказу
     *
     * @return $this
     */
    public function setClientComment($client_comment)
    {

        if (is_null($client_comment)) {
            array_push($this->openAPINullablesSetToNull, 'client_comment');
        } else {
            $nullablesSetToNull = $this->getOpenAPINullablesSetToNull();
            $index = array_search('client_comment', $nullablesSetToNull);
            if ($index !== FALSE) {
                unset($nullablesSetToNull[$index]);
                $this->setOpenAPINullablesSetToNull($nullablesSetToNull);
            }
        }

        $this->container['client_comment'] = $client_comment;

        return $this;
    }

    /**
     * Gets payment_system_id
     *
     * @return int|null
     */
    public function getPaymentSystemId()
    {
        return $this->container['payment_system_id'];
    }

    /**
     * Sets payment_system_id
     *
     * @param int|null $payment_system_id система оплаты из PaymentSystemEnum
     *
     * @return $this
     */
    public function setPaymentSystemId($payment_system_id)
    {


        /*if (is_null($payment_system_id)) {
            throw new \InvalidArgumentException('non-nullable payment_system_id cannot be null');
        }*/
        $this->container['payment_system_id'] = $payment_system_id;

        return $this;
    }

    /**
     * Gets source
     *
     * @return int|null
     */
    public function getSource()
    {
        return $this->container['source'];
    }

    /**
     * Sets source
     *
     * @param int|null $source источник заказа из OrderSourceEnum
     *
     * @return $this
     */
    public function setSource($source)
    {


        /*if (is_null($source)) {
            throw new \InvalidArgumentException('non-nullable source cannot be null');
        }*/
        $this->container['source'] = $source;

        return $this;
    }

    /**
     * Gets spent_bonus
     *
     * @return int|null
     */
    public function getSpentBonus()
    {
        return $this->container['spent_bonus'];
    }

    /**
     * Sets spent_bonus
     *
     * @param int|null $spent_bonus Кол-во бонусов, которое списывается с пользователя в этом заказе
     *
     * @return $this
     */
    public function setSpentBonus($spent_bonus)
    {

        if (is_null($spent_bonus)) {
            array_push($this->openAPINullablesSetToNull, 'spent_bonus');
        } else {
            $nullablesSetToNull = $this->getOpenAPINullablesSetToNull();
            $index = array_search('spent_bonus', $nullablesSetToNull);
            if ($index !== FALSE) {
                unset($nullablesSetToNull[$index]);
                $this->setOpenAPINullablesSetToNull($nullablesSetToNull);
            }
        }

        $this->container['spent_bonus'] = $spent_bonus;

        return $this;
    }

    /**
     * Gets added_bonus
     *
     * @return int|null
     */
    public function getAddedBonus()
    {
        return $this->container['added_bonus'];
    }

    /**
     * Sets added_bonus
     *
     * @param int|null $added_bonus Кол-во бонусов, которое начислится пользователю за этот заказе
     *
     * @return $this
     */
    public function setAddedBonus($added_bonus)
    {

        if (is_null($added_bonus)) {
            array_push($this->openAPINullablesSetToNull, 'added_bonus');
        } else {
            $nullablesSetToNull = $this->getOpenAPINullablesSetToNull();
            $index = array_search('added_bonus', $nullablesSetToNull);
            if ($index !== FALSE) {
                unset($nullablesSetToNull[$index]);
                $this->setOpenAPINullablesSetToNull($nullablesSetToNull);
            }
        }

        $this->container['added_bonus'] = $added_bonus;

        return $this;
    }

    /**
     * Gets delivery_service
     *
     * @return int|null
     */
    public function getDeliveryService()
    {
        return $this->container['delivery_service'];
    }

    /**
     * Sets delivery_service
     *
     * @param int|null $delivery_service сервис доставки из логистики
     *
     * @return $this
     */
    public function setDeliveryService($delivery_service)
    {


        /*if (is_null($delivery_service)) {
            throw new \InvalidArgumentException('non-nullable delivery_service cannot be null');
        }*/
        $this->container['delivery_service'] = $delivery_service;

        return $this;
    }

    /**
     * Gets delivery_method
     *
     * @return int|null
     */
    public function getDeliveryMethod()
    {
        return $this->container['delivery_method'];
    }

    /**
     * Sets delivery_method
     *
     * @param int|null $delivery_method метод доставки из логистики
     *
     * @return $this
     */
    public function setDeliveryMethod($delivery_method)
    {


        /*if (is_null($delivery_method)) {
            throw new \InvalidArgumentException('non-nullable delivery_method cannot be null');
        }*/
        $this->container['delivery_method'] = $delivery_method;

        return $this;
    }

    /**
     * Gets delivery_tariff_id
     *
     * @return int|null
     */
    public function getDeliveryTariffId()
    {
        return $this->container['delivery_tariff_id'];
    }

    /**
     * Sets delivery_tariff_id
     *
     * @param int|null $delivery_tariff_id Тариф, по которому пользователь решил доставлять
     *
     * @return $this
     */
    public function setDeliveryTariffId($delivery_tariff_id)
    {


        /*if (is_null($delivery_tariff_id)) {
            throw new \InvalidArgumentException('non-nullable delivery_tariff_id cannot be null');
        }*/
        $this->container['delivery_tariff_id'] = $delivery_tariff_id;

        return $this;
    }

    /**
     * Gets delivery_point_id
     *
     * @return int|null
     */
    public function getDeliveryPointId()
    {
        return $this->container['delivery_point_id'];
    }

    /**
     * Sets delivery_point_id
     *
     * @param int|null $delivery_point_id Пункт самовывода
     *
     * @return $this
     */
    public function setDeliveryPointId($delivery_point_id)
    {

        if (is_null($delivery_point_id)) {
            array_push($this->openAPINullablesSetToNull, 'delivery_point_id');
        } else {
            $nullablesSetToNull = $this->getOpenAPINullablesSetToNull();
            $index = array_search('delivery_point_id', $nullablesSetToNull);
            if ($index !== FALSE) {
                unset($nullablesSetToNull[$index]);
                $this->setOpenAPINullablesSetToNull($nullablesSetToNull);
            }
        }

        $this->container['delivery_point_id'] = $delivery_point_id;

        return $this;
    }

    /**
     * Gets delivery_address
     *
     * @return \Ensi\OmsClient\Dto\Address|null
     */
    public function getDeliveryAddress()
    {
        return $this->container['delivery_address'];
    }

    /**
     * Sets delivery_address
     *
     * @param \Ensi\OmsClient\Dto\Address|null $delivery_address delivery_address
     *
     * @return $this
     */
    public function setDeliveryAddress($delivery_address)
    {

        if (is_null($delivery_address)) {
            array_push($this->openAPINullablesSetToNull, 'delivery_address');
        } else {
            $nullablesSetToNull = $this->getOpenAPINullablesSetToNull();
            $index = array_search('delivery_address', $nullablesSetToNull);
            if ($index !== FALSE) {
                unset($nullablesSetToNull[$index]);
                $this->setOpenAPINullablesSetToNull($nullablesSetToNull);
            }
        }

        $this->container['delivery_address'] = $delivery_address;

        return $this;
    }

    /**
     * Gets delivery_comment
     *
     * @return string|null
     */
    public function getDeliveryComment()
    {
        return $this->container['delivery_comment'];
    }

    /**
     * Sets delivery_comment
     *
     * @param string|null $delivery_comment Комментарий клиента к доставке
     *
     * @return $this
     */
    public function setDeliveryComment($delivery_comment)
    {

        if (is_null($delivery_comment)) {
            array_push($this->openAPINullablesSetToNull, 'delivery_comment');
        } else {
            $nullablesSetToNull = $this->getOpenAPINullablesSetToNull();
            $index = array_search('delivery_comment', $nullablesSetToNull);
            if ($index !== FALSE) {
                unset($nullablesSetToNull[$index]);
                $this->setOpenAPINullablesSetToNull($nullablesSetToNull);
            }
        }

        $this->container['delivery_comment'] = $delivery_comment;

        return $this;
    }

    /**
     * Gets delivery_price
     *
     * @return int|null
     */
    public function getDeliveryPrice()
    {
        return $this->container['delivery_price'];
    }

    /**
     * Sets delivery_price
     *
     * @param int|null $delivery_price Стоимость доставки со скидкой (в копейках)
     *
     * @return $this
     */
    public function setDeliveryPrice($delivery_price)
    {


        /*if (is_null($delivery_price)) {
            throw new \InvalidArgumentException('non-nullable delivery_price cannot be null');
        }*/
        $this->container['delivery_price'] = $delivery_price;

        return $this;
    }

    /**
     * Gets delivery_cost
     *
     * @return int|null
     */
    public function getDeliveryCost()
    {
        return $this->container['delivery_cost'];
    }

    /**
     * Sets delivery_cost
     *
     * @param int|null $delivery_cost Стоимость доставки до скидок (в копейках)
     *
     * @return $this
     */
    public function setDeliveryCost($delivery_cost)
    {


        /*if (is_null($delivery_cost)) {
            throw new \InvalidArgumentException('non-nullable delivery_cost cannot be null');
        }*/
        $this->container['delivery_cost'] = $delivery_cost;

        return $this;
    }

    /**
     * Gets receiver_name
     *
     * @return string|null
     */
    public function getReceiverName()
    {
        return $this->container['receiver_name'];
    }

    /**
     * Sets receiver_name
     *
     * @param string|null $receiver_name Получатель. ФИО
     *
     * @return $this
     */
    public function setReceiverName($receiver_name)
    {


        /*if (is_null($receiver_name)) {
            throw new \InvalidArgumentException('non-nullable receiver_name cannot be null');
        }*/
        $this->container['receiver_name'] = $receiver_name;

        return $this;
    }

    /**
     * Gets receiver_phone
     *
     * @return string|null
     */
    public function getReceiverPhone()
    {
        return $this->container['receiver_phone'];
    }

    /**
     * Sets receiver_phone
     *
     * @param string|null $receiver_phone Получатель. Телефон
     *
     * @return $this
     */
    public function setReceiverPhone($receiver_phone)
    {


        /*if (is_null($receiver_phone)) {
            throw new \InvalidArgumentException('non-nullable receiver_phone cannot be null');
        }*/
        $this->container['receiver_phone'] = $receiver_phone;

        return $this;
    }

    /**
     * Gets receiver_email
     *
     * @return string|null
     */
    public function getReceiverEmail()
    {
        return $this->container['receiver_email'];
    }

    /**
     * Sets receiver_email
     *
     * @param string|null $receiver_email Получатель. Почта
     *
     * @return $this
     */
    public function setReceiverEmail($receiver_email)
    {


        /*if (is_null($receiver_email)) {
            throw new \InvalidArgumentException('non-nullable receiver_email cannot be null');
        }*/
        $this->container['receiver_email'] = $receiver_email;

        return $this;
    }

    /**
     * Gets deliveries
     *
     * @return \Ensi\OmsClient\Dto\OrderCommitRequestDeliveries[]|null
     */
    public function getDeliveries()
    {
        return $this->container['deliveries'];
    }

    /**
     * Sets deliveries
     *
     * @param \Ensi\OmsClient\Dto\OrderCommitRequestDeliveries[]|null $deliveries Информация об отправлениях
     *
     * @return $this
     */
    public function setDeliveries($deliveries)
    {


        /*if (is_null($deliveries)) {
            throw new \InvalidArgumentException('non-nullable deliveries cannot be null');
        }*/
        $this->container['deliveries'] = $deliveries;

        return $this;
    }
    /**
     * Returns true if offset exists. False otherwise.
     *
     * @param integer $offset Offset
     *
     * @return boolean
     */
    public function offsetExists($offset)
    {
        return isset($this->container[$offset]);
    }

    /**
     * Gets offset.
     *
     * @param integer $offset Offset
     *
     * @return mixed
     */
    public function offsetGet($offset)
    {
        return isset($this->container[$offset]) ? $this->container[$offset] : null;
    }

    /**
     * Sets value based on offset.
     *
     * @param integer $offset Offset
     * @param mixed   $value  Value to be set
     *
     * @return void
     */
    public function offsetSet($offset, $value)
    {
        if (is_null($offset)) {
            $this->container[] = $value;
        } else {
            $this->container[$offset] = $value;
        }
    }

    /**
     * Unsets offset.
     *
     * @param integer $offset Offset
     *
     * @return void
     */
    public function offsetUnset($offset)
    {
        unset($this->container[$offset]);
    }

    /**
     * Gets the string presentation of the object
     *
     * @return string
     */
    public function __toString()
    {
        return json_encode(
            ObjectSerializer::sanitizeForSerialization($this),
            JSON_PRETTY_PRINT
        );
    }

    /**
     * Gets a header-safe presentation of the object
     *
     * @return string
     */
    public function toHeaderValue()
    {
        return json_encode(ObjectSerializer::sanitizeForSerialization($this));
    }
}


